# CEG - Cronfa Electroneg o Gymraeg
Llunio yn wreiddiol gan Ellis, N. C., O'Dochartaigh, C., Hicks, W., Morgan, M., & Laporte, N. ym Mhrifysgol Bangor yn 2001:  
https://www.bangor.ac.uk/canolfanbedwyr/ceg.php.cy  
Trosi i fformat CWB/CQP gan Jonathan Jones ym Mhrifysgol Georgia  
 
# Electronic Corpus of Welsh

Originally compiled by Ellis, N. C., O'Dochartaigh, C., Hicks, W., Morgan, M., & Laporte, N. at the University of Bangor in 2001:  
https://www.bangor.ac.uk/canolfanbedwyr/ceg.php.en  
Converted to CWB/CQP format by Jonathan Jones at the University of Georgia  

## Compiled CQP format package

If you're reading this, it should be because you've downloaded the compiled CQP format corpus. In that case, move the **data** directory to wherever you store your corpora, and the **ceg** file in the **registry** directory to your CWB registry. You may need to change the HOME and INFO lines in the registry file depending on where you put the **data** directory.

## Defnyddio'r corffws

Mae tagiau am awdur, teitl, dyddiad, math, a genre gyda'r testunau. Mae brawddegau eu tagio hefyd ar sail atalnodiad, ond dydw i ddim yn gallu gwarantu cywirdeb. Mae'r acenion yn ymddangos ar ôl y llafariad (+ = acen grom, % = didolnod, / = acen acíwt, \ = acen ddisgynedig)

Mae'r priodoleddau lleoliadol yn dod o'r ffeiliau testun gwreiddiol.
 - Gair (word)
 - Rhan ymadrodd (pos)
    - Yn defnyddio'r diffiniadau y ffeiliau testun gwreiddiol gyda ffurfiau ferf o'r maes lema gwreiddiol.
 - Lema (lemma)
 - Treiglad (mut)
    - dim
    - meddal
    - llaes
    - trwynol
    - h-llaf

## Using the corpus

Texts are tagged for author, title, year, type, and genre. Sentences are also tagged based on punctuation, but accuracy cannot be guaranteed. Accents are placed after the vowel (+ = circumflex, % = diaeresis, / = acute accent, \ = grave accent)

Positional attributes come from the original text files.
 - Word (word)
 - Part of speech (pos)
    - Uses the original text files' definitions plus verb forms included in the lemma field in the original files.
 - Lemma (lemma)
 - Mutation (mut)
    - none (dim)
    - soft (meddal)
    - aspirate (llaes)
    - nasal (trwynol)
    - h-prothesis (h-llaf)
